Skip to main content
POST
Create Assistant Integration

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

assistant_id
string
required

The ID of the assistant

Body

The assistant integration information.

Schema for creating a new assistant integration

enabled
boolean
required
integration_id
enum<string>
required

ID of the connection integration

Available options:
internal,
org,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
gmail,
slack_bot,
twilio,
telnyx,
email
connection_id
string
required
config
object
required

Configuration object for the assistant integration

Response

200 - application/json

The created assistant integration.

Schema for an assistant integration

id
string
required
enabled
boolean
required
integration_id
enum<string>
required

ID of the connection integration

Available options:
internal,
org,
custom,
whatsapp_bot,
messenger_bot,
instagram_dm,
tiktok_dm,
telegram_bot,
gmail,
slack_bot,
twilio,
telnyx,
email
assistant_id
string
required
connection_id
string | null
required
config
object
required

Configuration object for the assistant integration

error
string | null
required
platform_url
string | null
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required